Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Adding gemspec

  • Loading branch information...
commit 04fd4420d62194b338b3fd6bda350cad10c87cbe 1 parent 30e6018
@winton authored
Showing with 29 additions and 3 deletions.
  1. +2 −3 gemspec.rb
  2. +27 −0 secret_key.gemspec
View
5 gemspec.rb
@@ -1,5 +1,5 @@
GEM_NAME = 'secret_key'
-GEM_FILES = FileList['**/*'] - FileList['coverage', 'coverage/**/*', 'pkg', 'pkg/**/*']
+GEM_FILES = FileList['**/*'] - FileList['coverage', 'coverage/**/*', 'pkg', 'pkg/**/*', 'spec/tmp', 'spec/tmp/**/*']
GEM_SPEC = Gem::Specification.new do |s|
# == CONFIGURE ==
s.author = "Winton Welsh"
@@ -7,7 +7,6 @@
s.homepage = "http://github.com/winton/#{GEM_NAME}"
s.summary = "Provides an accessor for a secret key stored in tmp"
# == CONFIGURE ==
- s.executables << GEM_NAME
s.extra_rdoc_files = [ "README.markdown" ]
s.files = GEM_FILES.to_a
s.has_rdoc = false
@@ -15,4 +14,4 @@
s.platform = Gem::Platform::RUBY
s.require_path = "lib"
s.version = "0.1.0"
-end
+end
View
27 secret_key.gemspec
@@ -0,0 +1,27 @@
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{secret_key}
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Winton Welsh"]
+ s.date = %q{2009-07-18}
+ s.email = %q{mail@wintoni.us}
+ s.extra_rdoc_files = ["README.markdown"]
+ s.files = ["gemspec.rb", "lib", "lib/secret_key.rb", "MIT-LICENSE", "Rakefile", "README.markdown", "secret_key.gemspec", "spec", "spec/secret_key_spec.rb", "spec/spec.opts", "spec/spec_helper.rb"]
+ s.homepage = %q{http://github.com/winton/secret_key}
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.1}
+ s.summary = %q{Provides an accessor for a secret key stored in tmp}
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 2
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ else
+ end
+ else
+ end
+end
Please sign in to comment.
Something went wrong with that request. Please try again.